<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dns" id="top-requesting-hosts" charttype="bars">

 <lire:title>Top Requesting Hosts Report</lire:title>
 <lire:description>
  <para>This report lists the requesting hosts with the most requests.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="hosts_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of hosts to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Number of Lookups by Hosts, Top $hosts_to_show</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$hosts_to_show">
   <lire:field name="requesting_host"/>
   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>
